# Image page: <https://hub.docker.com/_/node>
FROM node:16.15.0-alpine as builder

WORKDIR /src

COPY ../ .

RUN set -x \
    && npm ci \
    && NODE_ENV="production" npm run build-only

# Image page: <https://hub.docker.com/_/nginx>
FROM nginx:1.18-alpine as runtime

COPY ./docker/nginx-server.conf /etc/nginx/conf.d/default.conf
COPY --from=builder --chown=nginx /src/dist /usr/share/nginx/html

WORKDIR /usr/share/nginx/html

CMD ["nginx", "-g", "daemon off;"]
